org.apache.cassandra.utils

## Class HeapUtils

- java.lang.Object
- - org.apache.cassandra.utils.HeapUtils

    public final class HeapUtils
    extends java.lang.Object

Utility to log heap histogram.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `logHeapHistogram()` Generates a HEAP histogram in the log file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### logHeapHistogram

    public static void logHeapHistogram()

Generates a HEAP histogram in the log file.